### Hierarchy

- GeneratorFunction

### Callable

- __call(...args: any[]): Generator

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:28

  Creates a new Generator object.

  #### Parameters

  - ##### Rest ...args: any[]

    A list of arguments the function accepts.

  #### Returns Generator

## Index

### Constructors

- constructor

### Properties

- length
- name
- prototype

## Constructors

### constructor

- new GeneratorFunction(...args: any[]): Generator

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:23

  Creates a new Generator object.

  #### Parameters

  - ##### Rest ...args: any[]

    A list of arguments the function accepts.

  #### Returns Generator

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:37

The length of the arguments.

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:41

Returns the name of the function.

### prototype

prototype: Generator

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.generator.d.ts:45

A reference to the prototype.

Generated using TypeDoc